geos::noding::SegmentStringUtil Class Reference

Utility methods for processing `SegmentString`s. More...

`#include <SegmentStringUtil.h>`

## Static Public Member Functions

static void | extractSegmentStrings (const geom::Geometry *g, SegmentString::ConstVect &segStr)
| Extracts all linear components from a given Geometry to SegmentStrings.

## Detailed Description

Utility methods for processing `SegmentString`s.

Author
  Martin Davis

## Member Function Documentation

## extractSegmentStrings()

void geos::noding::SegmentStringUtil::extractSegmentStrings | ( | const geom::Geometry * | g,
|  | SegmentString::ConstVect & | segStr )

inline static

Extracts all linear components from a given Geometry to SegmentStrings.

The SegmentString data item is set to be the source Geometry.

Parameters

  g | the geometry to extract from
  segStr | a List of SegmentStrings (output parameter). Ownership of elements pushed to the vector is transferred to caller.

References geos::geom::util::LinearComponentExtracter::getLines().

The documentation for this class was generated from the following file:

- SegmentStringUtil.h